<?php

namespace Ardent\PicnicApi\Objects;

interface ArticleInterface
{
    public function getId(): string;
    public function getName(): string;
    public function getImageId(): string;
    public function getImageUrl(string $size): string;
    public function getUnitQuantity(): string;
    public function getUnitQuantitySub(): string;
    public function getPrice(): float;
    public function getMaxCount(): int;
    public function getDecorators(): Decorators;
}